About Server Migration
More information

Server Migration help version

About server migration

The server migration tool enables you to easily copy and transfer your Sage 300 Construction and Real Estate Accounting data and customizations to a new server. Items transferred include:

  • Company data
  • Security settings
  • Custom fields
  • User formulas
  • Reports and reports menu
  • Inquiries
  • Macros
  • Attachments

You can select which companies you want to copy, giving you the flexibility to include all companies or only selected companies.

Software Versions

You can migrate data from version 9.6 or later. The new server must have version 9.8 or later installed.

Things to know before you begin

  • You must install Sage 300 Construction and Real Estate on your new server to access the server migration tool.
  • The server migration process copies data from the old server to the new server. Data is not removed from the old server.
  • You must have administrative rights to the new server and a minimum of read permission to the old server.
  • Your new server must have enough disk space to hold the information from the old server.
  • If you added reports to the Report menus on your old server using mapped drives, create identical drive mapping for reports on your new server before performing the migration.
  • Most of the migration tasks are performed in a few minutes. However, moving attachments can take more time. If you have a large number of attachments, consider transferring them during non-business hours.
  • Estimating and Document Management items are not included in the migration.
  • We recommend that you perform a test migration, then validate that all of your data, reports, macros and settings work properly on the new server. You can then stop work on the old server and perform the migration again with the latest files.
  • The migration will overwrite companies and security on the new server. You should perform the migration before setting up companies and security (for example, before setting up a new job).

Preparing your new server

  1. Install Sage 300 Construction and Real Estate on your new server.
  2. Click Start > All Programs > Sage > Sage System Verifier.
  3. In the Sage System Verifier window, click [Scan System].
  4. When the system verification has completed, click [Close].
  5. Set up administrative rights on the new server.
  6. Set up existing or new printers on your new server. The TS PDF printer cannot be the only printer on your system and cannot be selected as the default.

Migrating your server

  1. On the new server, open your program files folder and \Timberline Office\Shared, and then double-click Sage.STO.ServerMigrator.exe.
  2. In the Server Migration Tool window for Old server location, type the path or browse to the location where Sage 300 Construction and Real Estate is installed on your old server. Example: \\oldservername\Timberline Office\9.5
  3. Verify or change the server migration log path (on the new server) for Log file path. Example: \\newservername\Timberline Office\9.5\Accounting\Migration\ServerMigrationLog 1.pdf
  4. Select the companies you want to copy.
  5. Click [Validate] to perform a test of the files to be transferred.
  6. When you see the Validation complete message and the validation is successful, click [Migrate].
  7. When you see the Migration complete message, view the server migration log (that you set up in Step 3) to ensure that all files were transferred correctly.

Migrating your data folders

  1. On the new server, open your program files folder and \Timberline Office\Shared, and then double-click Sage.STO.ServerDataMigrator.exe.
  2. In the Server Data Location window, verify or change the data folder migration log name and path (on the new server) for Log file path. Example: \\newservername\Timberline Office\9.5\Accounting\Migration\ServerDataMigrationLog 1.pdf
  3. Select the companies whose data you want to copy.
  4. Click [Validate] to perform a test of the files to be copied.
  5. When you see the Validation complete message and the validation is successful, click [Migrate data folders].
  6. When you see the Migration complete message, view the server data migration log (that you set up in Step 2) to ensure that all files were copied correctly.

Migrating your macros

  1. If the Server Data Location window is not already open on the new server, open your program files folder and \Timberline Office\Shared, and then double-click Sage.STO.ServerDataMigrator.exe.
  2. In the Server Data Location window, verify or change the macro migration log name and path (on the new server) for Log file path. Example: \\newservername\Timberline Office\9.5\Accounting\Migration\MacroMigration.pdf
  3. Select the companies whose macros you want to copy.
  4. Click [Migrate Macros].
  5. In the Macro Printer List window, verify the printers that you want to use are listed. Click [Change] if you want to select different printers.
  6. Click [Migrate Macros].
  7. When you see the Macro migration complete message, view the macro migration log (that you set up in Step 2) to ensure that all macros were transferred correctly.

Migrating your attachments

Note: Migrating attachments can take some time. If you have a large number of attachments, you may want to consider migrating them during non-business hours.

  1. If the Server Data Location window is not already open on the new server, open your program files folder and \Timberline Office\Shared, and then double-click Sage.STO.ServerDataMigrator.exe.
  2. In the Server Data Location window, verify or change the attachment migration log name and path (on the new server) for Log file path. Example: \\newservername\Timberline Office\9.5\Accounting\Migration\AttachmentMigration.pdf
  3. Select the companies whose attachments you want to copy.
  4. Click [Migrate attachments].
  5. In the Attachment Paths window, review the table showing the old and new locations for each set of attachments. You can change the new location.
    1. If you want to change the new attachment path for all rows to the default location on the new server, click [Use default location].
    2. If you want to replace portions of the new paths in specific rows, select the check box in front of the rows that you want to change, click [Replace selected], type the old text (for Find), type the new text (for Replace), and then click [OK].
    3. If you want to change the new path for one row, either:
      • Click in the New attachment path column and type the new path.
      • Click [Change], specify the new path, and then click [OK].
  6. When the rows display the desired new attachment paths, click [Migrate attachments].
  7. When you see the Attachment migration complete message, view the attachment migration log (that you set up in Step 2) to ensure that all attachments were transferred correctly.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Server Migration Tool window
More information

About server migration

Server Migration Tool window

To open this window:

On the new server, open your program files folder and \Timberline Office\Shared, and then double-click Sage.STO.ServerMigrator.exe.

Use this window to copy the following items from the old server to the new location:

  • Dictionary files
  • Custom fields
  • Formula files
  • Inquiry files
  • Report designs
  • Global files
  • Security settings

Items in this window

Item | Notes
Old server location

Displays the location where Sage 300 Construction and Real Estate is installed on the old server. Example: \\oldservername\Timberline Office\9.5

You can either type the path or click [Browse] and then select the location.
Log file path

Displays the name and location on the new server for the server migration log. The name of the log file is ServerMigrationLog X (where X starts at 1 and automatically increments). Example: \\newservername\Timberline Office\9.5\Accounting\Migration\ServerMigrationLog 1.pdf

To change this, you can either:

  • Type a new path and name.
  • Click [Browse], select the location, type the file name, and click [Open].
<display area> | Displays the items that have been validated or migrated. This area also displays two green progress bars.
[Validate] | Click this button to perform a test of the files to be transferred.
[Migrate] | When validation is successful, click this button to copy the files to the new server.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Server Data Location window
More information

About server migration

Server Data Location window

To open this window:

On the new server, open your program files folder and \Timberline Office\Shared, and then double-click Sage.STO.ServerDataMigrator.exe.

Use this window to copy data folders to the new location.

Items in this window

Item | Notes
Log file path

Displays the name and location on the new server for the log file. The name of the log file depends on the item that is migrated (and X starts at 1 and automatically increments):

  • Data folder migration log file name is ServerDataMigrationLog X. Example: \\newservername\Timberline Office\9.5\Accounting\Migration\ServerDataMigrationLog 1.pdf
  • Macro migration log file name is ServerMacroMigrationLog X. Example: \\newservername\Timberline Office\9.5\Accounting\Migration\MacroMigrationLog 1.pdf
  • Attachment migration log file is ServerAttachmentMigrationLog X. Example: \\newservername\Timberline Office\9.5\Accounting\Migration\AttachmentMigrationLog 1.pdf

To change this, you can either:

  • Type a new path and name.
  • Click [Browse], select the location, type the file name, and click [Open].
Select
 Select the check box before the companies whose data you want to copy.
Company name | Displays the names of the companies whose data you can copy.
Company description | Displays the descriptions of the companies.
Old data folder location | Displays the location where the data for that company is located on the old server. This must be a UNC path.
New data folder location | Displays the new location for the data. You can change this location by clicking [Browse] and selecting another location. This must be a UNC path.
[Browse] | Click this button to change the New data folder location.
[Validate] | Click this button to perform a test of the files to be copied for the selected companies.
[Migrate data folders] | After validation is successful, click this button to copy the files in the data folders for the selected companies to the new location.
[Migrate macros] | Click this button to open the Macro Printers window so you can migrate macros.
[Migrate attachments] | Click this button to open the Attachment Paths window so you can migrate attachments.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Macro Printers window
More information

About server migration

Macro Printers window

To open this window:

In the Server Data Location window, click [Migrate macros].

Use this window to copy the macros from the old server to the new location and, if desired, change the printers associated with the macros.

Items in this window

Item | Notes
Old macro printer name | Displays the printer name associated with the existing macro.
New macro printer name | Displays the printer name to be associated with the macro when it is migrated.
[Change] | Click this button to change the New macro printer name.
[Migrate macros] | Click this button to migrate the macros and change the printer name, if applicable.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Attachment Paths window
More information

About server migration

Attachment Paths window

To open this window:

In the Server Data Location window, click [Migrate attachments].

Use this window to specify the new locations for the attachments and migrate the attachments. During the migration process, the system:

  • Copies the attachments to the new locations.
  • Updates the links in your data files to the new attachment locations.

Note: Copying and transferring attachments to the new locations can take some time. If you have a large number of attachments, you may want to consider transferring them during non-business hours.

Items in this window

Item | Notes
[Use default location]

Click this button to change the new attachment path for all rows to the default location on the new server (\Timberline Office\9.5\Accounting\Attachments).

Note: If attachments in different paths on the old server have the same file name, either:

  • Rename those attachments before migrating.
  • Specify different new locations.

Example [image] The old server has an attachment named file01 in the LocationA folder. There is also an attachment named file01 in the LocationB folder. You could rename these files to file01A and file01B before migrating to prevent one file from overwriting the other.

[Replace selected] | Select the check box in front of the rows you want to change, click this button, type the old text (for Find) and new text (for Replace), and click [OK] to find and replace the text in the New attachment path column for the selected rows.
Select

Select the check box before the rows whose new attachment path you want to change using [Replace selected].
Old attachment path | This column displays the folder path on the old server that contains attachments.
New attachment path | This column displays the new location for the attachments. You can type in this column.
[Change] | Click this button to specify a new path for New attachment path in that row or all selected rows.
[Migrate attachments] | Click this button to migrate the attachments from the old location to the new location.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Server Migration help version

Last updated April 8, 2013

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.